ZTE MF628 HSDPA USB modem not recognized by network-manager

Bug #269858 reported by huepfend_schof on 2008-09-13
52
This bug affects 5 people
Affects Status Importance Assigned to Milestone
NetworkManager
Fix Released
Medium
network-manager (Baltix)
Undecided
Unassigned
network-manager (Ubuntu)
Medium
Unassigned
Nominated for Intrepid by Martin Rotter
Nominated for Jaunty by Martin Rotter
Nominated for Karmic by Marius B. Kotsbak
Nominated for Lucid by Marius B. Kotsbak
Nominated for Maverick by papukaija

Bug Description

Binary package hint: network-manager

My HSDPA USB Modem is the MF628 from ZTE.
I installed the alpha 5 of ubuntu intrepid, which uses the kernel 2.6.27 where the modem driver is included. But with the Network-manager(version 0.7) I can't connect this modem.

Some more information:

"lsusb -vvv" gives this output:

Bus 003 Device 002: ID 19d2:0015
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x19d2
  idProduct 0x0015
  bcdDevice 0.00
  iManufacturer 1 Qualcomm, Incorporated
  iProduct 2 ZTE CDMA Technologies MSM
  iSerial 3 Data Interface
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 108
    bNumInterfaces 4
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower 500mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 8 Mass Storage
      bInterfaceSubClass 6 SCSI
      bInterfaceProtocol 80 Bulk (Zip)
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x87 EP 7 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x08 EP 8 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 0
      bNumEndpoints 3
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 255 Vendor Specific Subclass
      bInterfaceProtocol 255 Vendor Specific Protocol
      iInterface 3 Data Interface
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0010 1x 16 bytes
        bInterval 128
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 2
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 255 Vendor Specific Subclass
      bInterfaceProtocol 255 Vendor Specific Protocol
      iInterface 3 Data Interface
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x84 EP 4 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x04 EP 4 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 3
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 255 Vendor Specific Subclass
      bInterfaceProtocol 255 Vendor Specific Protocol
      iInterface 3 Data Interface
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x86 EP 6 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x06 EP 6 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
Device Status: 0x0000
  (Bus Powered)

==========================================================
"lshal" gives this output:

udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface'
  info.linux.driver = 'usb' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_1' (string)
  info.product = 'ZTE CDMA Technologies MSM' (string)
  info.subsystem = 'usb_device' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface' (string)
  info.vendor = 'Qualcomm, Incorporated' (string)
  linux.device_file = '/dev/bus/usb/003/002' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'usb' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1' (string)
  usb_device.bus_number = 3 (0x3) (int)
  usb_device.can_wake_up = true (bool)
  usb_device.configuration_value = 1 (0x1) (int)
  usb_device.device_class = 0 (0x0) (int)
  usb_device.device_protocol = 0 (0x0) (int)
  usb_device.device_revision_bcd = 0 (0x0) (int)
  usb_device.device_subclass = 0 (0x0) (int)
  usb_device.is_self_powered = false (bool)
  usb_device.linux.device_number = 2 (0x2) (int)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1' (string)
  usb_device.max_power = 500 (0x1f4) (int)
  usb_device.num_configurations = 1 (0x1) (int)
  usb_device.num_interfaces = 4 (0x4) (int)
  usb_device.num_ports = 0 (0x0) (int)
  usb_device.product = 'ZTE CDMA Technologies MSM' (string)
  usb_device.product_id = 21 (0x15) (int)
  usb_device.serial = 'Data Interface' (string)
  usb_device.speed = 12.0 (12) (double)
  usb_device.vendor = 'Qualcomm, Incorporated' (string)
  usb_device.vendor_id = 6610 (0x19d2) (int)
  usb_device.version = 1.1 (1.1) (double)

udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if3'
  info.linux.driver = 'option' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface' (string)
  info.product = 'USB Vendor Specific Interface' (string)
  info.subsystem = 'usb' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if3' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'usb' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1:1.3' (string)
  usb.bus_number = 3 (0x3) (int)
  usb.can_wake_up = true (bool)
  usb.configuration_value = 1 (0x1) (int)
  usb.device_class = 0 (0x0) (int)
  usb.device_protocol = 0 (0x0) (int)
  usb.device_revision_bcd = 0 (0x0) (int)
  usb.device_subclass = 0 (0x0) (int)
  usb.interface.class = 255 (0xff) (int)
  usb.interface.description = 'Data Interface' (string)
  usb.interface.number = 3 (0x3) (int)
  usb.interface.protocol = 255 (0xff) (int)
  usb.interface.subclass = 255 (0xff) (int)
  usb.is_self_powered = false (bool)
  usb.linux.device_number = 2 (0x2) (int)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1:1.3' (string)
  usb.max_power = 500 (0x1f4) (int)
  usb.num_configurations = 1 (0x1) (int)
  usb.num_interfaces = 4 (0x4) (int)
  usb.num_ports = 0 (0x0) (int)
  usb.product = 'USB Vendor Specific Interface' (string)
  usb.product_id = 21 (0x15) (int)
  usb.serial = 'Data Interface' (string)
  usb.speed = 12.0 (12) (double)
  usb.vendor = 'Qualcomm, Incorporated' (string)
  usb.vendor_id = 6610 (0x19d2) (int)
  usb.version = 1.1 (1.1) (double)

udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if3_serial_usb_2'
  info.capabilities = {'serial'} (string list)
  info.category = 'serial' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if3' (string)
  info.product = 'ZTE CDMA Technologies MSM' (string)
  info.subsystem = 'tty' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if3_serial_usb_2' (string)
  linux.device_file = '/dev/ttyUSB2' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'tty' (string)
  linux.sysfs_path = '/sys/class/tty/ttyUSB2' (string)
  serial.device = '/dev/ttyUSB2' (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if3' (string)
  serial.port = 2 (0x2) (int)
  serial.type = 'usb' (string)

udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if2'
  info.linux.driver = 'option' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface' (string)
  info.product = 'USB Vendor Specific Interface' (string)
  info.subsystem = 'usb' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if2' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'usb' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1:1.2' (string)
  usb.bus_number = 3 (0x3) (int)
  usb.can_wake_up = true (bool)
  usb.configuration_value = 1 (0x1) (int)
  usb.device_class = 0 (0x0) (int)
  usb.device_protocol = 0 (0x0) (int)
  usb.device_revision_bcd = 0 (0x0) (int)
  usb.device_subclass = 0 (0x0) (int)
  usb.interface.class = 255 (0xff) (int)
  usb.interface.description = 'Data Interface' (string)
  usb.interface.number = 2 (0x2) (int)
  usb.interface.protocol = 255 (0xff) (int)
  usb.interface.subclass = 255 (0xff) (int)
  usb.is_self_powered = false (bool)
  usb.linux.device_number = 2 (0x2) (int)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1:1.2' (string)
  usb.max_power = 500 (0x1f4) (int)
  usb.num_configurations = 1 (0x1) (int)
  usb.num_interfaces = 4 (0x4) (int)
  usb.num_ports = 0 (0x0) (int)
  usb.product = 'USB Vendor Specific Interface' (string)
  usb.product_id = 21 (0x15) (int)
  usb.serial = 'Data Interface' (string)
  usb.speed = 12.0 (12) (double)
  usb.vendor = 'Qualcomm, Incorporated' (string)
  usb.vendor_id = 6610 (0x19d2) (int)
  usb.version = 1.1 (1.1) (double)

udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if2_serial_usb_1'
  info.capabilities = {'serial'} (string list)
  info.category = 'serial' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if2' (string)
  info.product = 'ZTE CDMA Technologies MSM' (string)
  info.subsystem = 'tty' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if2_serial_usb_1' (string)
  linux.device_file = '/dev/ttyUSB1' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'tty' (string)
  linux.sysfs_path = '/sys/class/tty/ttyUSB1' (string)
  serial.device = '/dev/ttyUSB1' (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if2' (string)
  serial.port = 1 (0x1) (int)
  serial.type = 'usb' (string)

udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if1'
  info.linux.driver = 'option' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface' (string)
  info.product = 'USB Vendor Specific Interface' (string)
  info.subsystem = 'usb' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if1' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'usb' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1:1.1' (string)
  usb.bus_number = 3 (0x3) (int)
  usb.can_wake_up = true (bool)
  usb.configuration_value = 1 (0x1) (int)
  usb.device_class = 0 (0x0) (int)
  usb.device_protocol = 0 (0x0) (int)
  usb.device_revision_bcd = 0 (0x0) (int)
  usb.device_subclass = 0 (0x0) (int)
  usb.interface.class = 255 (0xff) (int)
  usb.interface.description = 'Data Interface' (string)
  usb.interface.number = 1 (0x1) (int)
  usb.interface.protocol = 255 (0xff) (int)
  usb.interface.subclass = 255 (0xff) (int)
  usb.is_self_powered = false (bool)
  usb.linux.device_number = 2 (0x2) (int)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1:1.1' (string)
  usb.max_power = 500 (0x1f4) (int)
  usb.num_configurations = 1 (0x1) (int)
  usb.num_interfaces = 4 (0x4) (int)
  usb.num_ports = 0 (0x0) (int)
  usb.product = 'USB Vendor Specific Interface' (string)
  usb.product_id = 21 (0x15) (int)
  usb.serial = 'Data Interface' (string)
  usb.speed = 12.0 (12) (double)
  usb.vendor = 'Qualcomm, Incorporated' (string)
  usb.vendor_id = 6610 (0x19d2) (int)
  usb.version = 1.1 (1.1) (double)

udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if1_serial_usb_0'
  info.capabilities = {'serial'} (string list)
  info.category = 'serial' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if1' (string)
  info.product = 'ZTE CDMA Technologies MSM' (string)
  info.subsystem = 'tty' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if1_serial_usb_0' (string)
  linux.device_file = '/dev/ttyUSB0' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'tty' (string)
  linux.sysfs_path = '/sys/class/tty/ttyUSB0' (string)
  serial.device = '/dev/ttyUSB0' (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if1' (string)
  serial.port = 0 (0x0) (int)
  serial.type = 'usb' (string)

udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if0'
  info.linux.driver = 'usb-storage' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface' (string)
  info.product = 'USB Mass Storage Interface' (string)
  info.subsystem = 'usb' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if0' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'usb' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1:1.0' (string)
  usb.bus_number = 3 (0x3) (int)
  usb.can_wake_up = true (bool)
  usb.configuration_value = 1 (0x1) (int)
  usb.device_class = 0 (0x0) (int)
  usb.device_protocol = 0 (0x0) (int)
  usb.device_revision_bcd = 0 (0x0) (int)
  usb.device_subclass = 0 (0x0) (int)
  usb.interface.class = 8 (0x8) (int)
  usb.interface.number = 0 (0x0) (int)
  usb.interface.protocol = 80 (0x50) (int)
  usb.interface.subclass = 6 (0x6) (int)
  usb.is_self_powered = false (bool)
  usb.linux.device_number = 2 (0x2) (int)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1:1.0' (string)
  usb.max_power = 500 (0x1f4) (int)
  usb.num_configurations = 1 (0x1) (int)
  usb.num_interfaces = 4 (0x4) (int)
  usb.num_ports = 0 (0x0) (int)
  usb.product = 'USB Mass Storage Interface' (string)
  usb.product_id = 21 (0x15) (int)
  usb.serial = 'Data Interface' (string)
  usb.speed = 12.0 (12) (double)
  usb.vendor = 'Qualcomm, Incorporated' (string)
  usb.vendor_id = 6610 (0x19d2) (int)
  usb.version = 1.1 (1.1) (double)

udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if0_scsi_host'
  info.capabilities = {'scsi_host'} (string list)
  info.category = 'scsi_host' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if0' (string)
  info.product = 'SCSI Host Adapter' (string)
  info.subsystem = 'scsi_host' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if0_scsi_host' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'scsi_host' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1:1.0/host3' (string)
  scsi_host.host = 3 (0x3) (int)

udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if0_scsi_host_scsi_device_lun0'
  info.linux.driver = 'sd' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if0_scsi_host' (string)
  info.product = 'SCSI Device' (string)
  info.subsystem = 'scsi' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if0_scsi_host_scsi_device_lun0' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'scsi' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1:1.0/host3/target3:0:0/3:0:0:0' (string)
  scsi.bus = 0 (0x0) (int)
  scsi.host = 3 (0x3) (int)
  scsi.lun = 0 (0x0) (int)
  scsi.model = 'MMC Storage' (string)
  scsi.target = 0 (0x0) (int)
  scsi.type = 'disk' (string)
  scsi.vendor = 'ZTE' (string)

udi = '/org/freedesktop/Hal/devices/storage_serial_ZTE_MMC_Storage_Data_Interface_0_0'
  access_control.file = '/dev/sdc' (string)
  access_control.type = 'removable-block' (string)
  block.device = '/dev/sdc' (string)
  block.is_volume = false (bool)
  block.major = 8 (0x8) (int)
  block.minor = 32 (0x20) (int)
  block.storage_device = '/org/freedesktop/Hal/devices/storage_serial_ZTE_MMC_Storage_Data_Interface_0_0' (string)
  info.addons = {'hald-addon-storage'} (string list)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'storage', 'block', 'access_control'} (string list)
  info.category = 'storage' (string)
  info.interfaces = {'org.freedesktop.Hal.Device.Storage.Removable'} (string list)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if0_scsi_host_scsi_device_lun0' (string)
  info.product = 'MMC Storage' (string)
  info.udi = '/org/freedesktop/Hal/devices/storage_serial_ZTE_MMC_Storage_Data_Interface_0_0' (string)
  info.vendor = 'ZTE' (string)
  linux.hotplug_type = 3 (0x3) (int)
  linux.sysfs_path = '/sys/block/sdc' (string)
  storage.automount_enabled_hint = true (bool)
  storage.bus = 'usb' (string)
  storage.drive_type = 'disk' (string)
  storage.firmware_version = '2.31' (string)
  storage.hotpluggable = true (bool)
  storage.lun = 0 (0x0) (int)
  storage.media_check_enabled = true (bool)
  storage.model = 'MMC Storage' (string)
  storage.no_partitions_hint = false (bool)
  storage.originating_device = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if0' (string)
  storage.partitioning_scheme = '' (string)
  storage.removable = true (bool)
  storage.removable.media_available = false (bool)
  storage.removable.support_async_notification = false (bool)
  storage.requires_eject = false (bool)
  storage.serial = 'ZTE_MMC_Storage_Data_Interface-0:0' (string)
  storage.size = 0 (0x0) (uint64)
  storage.vendor = 'ZTE' (string)

udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if0_scsi_host_scsi_device_lun0_scsi_generic'
  info.capabilities = {'scsi_generic'} (string list)
  info.category = 'scsi_generic' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if0_scsi_host_scsi_device_lun0' (string)
  info.product = 'SCSI Generic Interface' (string)
  info.subsystem = 'scsi_generic' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_19d2_15_Data_Interface_if0_scsi_host_scsi_device_lun0_scsi_generic' (string)
  linux.device_file = '/dev/sg3' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'scsi_generic' (string)
  linux.sysfs_path = '/sys/class/scsi_generic/sg3' (string)
  scsi_generic.device = '/dev/sg3' (string)

udi = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_1_if0'
  info.linux.driver = 'hub' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_1' (string)
  info.product = 'USB Hub Interface' (string)
  info.subsystem = 'usb' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_1_if0' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'usb' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-0:1.0' (string)
  usb.bus_number = 3 (0x3) (int)
  usb.can_wake_up = true (bool)
  usb.configuration_value = 1 (0x1) (int)
  usb.device_class = 9 (0x9) (int)
  usb.device_protocol = 0 (0x0) (int)
  usb.device_revision_bcd = 518 (0x206) (int)
  usb.device_subclass = 0 (0x0) (int)
  usb.interface.class = 9 (0x9) (int)
  usb.interface.number = 0 (0x0) (int)
  usb.interface.protocol = 0 (0x0) (int)
  usb.interface.subclass = 0 (0x0) (int)
  usb.is_self_powered = true (bool)
  usb.linux.device_number = 1 (0x1) (int)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-0:1.0' (string)
  usb.max_power = 0 (0x0) (int)
  usb.num_configurations = 1 (0x1) (int)
  usb.num_interfaces = 1 (0x1) (int)
  usb.num_ports = 2 (0x2) (int)
  usb.product = 'USB Hub Interface' (string)
  usb.product_id = 1 (0x1) (int)
  usb.serial = '0000:00:1d.1' (string)
  usb.speed = 12.0 (12) (double)
  usb.vendor = 'Linux Foundation' (string)
  usb.vendor_id = 7531 (0x1d6b) (int)
  usb.version = 1.1 (1.1) (double)

=================================================================

The modem works if I connect manually
First I used this command: "sudo modprobe usbserial vendor=0x19d2 product=0x0015"

With "sudo chat -s -f probe.txt >/dev/ttyUSB0 </dev/ttyUSB0" I receive:
chat: Sep 13 17:17:31 +GCAP: +CGSM,+DS,+ES
chat: Sep 13 17:17:31 +COPS: 0,0,"Connect Austria",2
chat: Sep 13 17:17:31 +CREG: 0,1

Then I want to connect with vwdialrc:
So I first had to create the file ".wvdialrc" in the home directory:

[Dialer cellular]

# This configuration should work for most cellular modems and
# USB or bluetooth connected mobile phones.

# Your modem device. Usually /dev/ttyUSB0 or /dev/ttyACM0
# Bluetooth devices use an rfcomm device (/dev/rfcomm0, etc) that must be set
# up first.
#
#Modem = /dev/ttyACM0
Modem = /dev/ttyUSB0
#Modem = /dev/rfcomm0
#Modem = /dev/ttyACM0

# Port speeds that're worth testing:
# 921600
# 460800
# 115200
# 57600
Baud = 115200

# If your SIM card has a PIN, comment this line, uncomment the next one, and
# change the PIN shown to your PIN.
Init = ATZ
# Init = ATZ+CPIN="0000"

# If you know your ISP's APN, specify it instead of YOUR_ISP_APN below.
# If you don't, you may be able to find out on the 'net, or from tech
# support.
#
# There's also an APN table at https://wiki.ubuntu.com/NetworkManager/Hardware/3G .
#
# If you can't find it, you might be able to dial out without setting an APN
# (especially from a mobile phone). Just comment this line and uncomment
# the next one.
Init2 = AT+CGDCONT=1,"IP","web.yesss.at"
#Init2 = AT+CGDCONT=1,"IP"

# Most services/devices dial with *99# . A few seem to require *99***1#
Phone = *99#

# These often suffice, but your ISP might require different details. They're
# often dummy details used for all users on the ISP, frequently the ISP's
# name, but some ISP's do require you to use a real username and password.
Username = dummy
Password = dummy

=================================

Then I can connect to the internet with the command: "sudo wvdial cellular":

--> WvDial: Internet dialer version 1.60
--> Cannot get information for serial port.
--> Initializing modem.
--> Sending: ATZ
OK
--> Sending: AT+CGDCONT=1,"IP"
AT+CGDCONT=1,"IP"
OK
--> Modem initialized.
--> Sending: ATDT*99#
--> Waiting for carrier.
ATDT*99#
CONNECT
--> Carrier detected. Waiting for prompt.
--> Don't know what to do! Starting pppd and hoping for the best.
--> Starting pppd at Sat Sep 13 17:26:25 2008
--> Pid of pppd: 6352
--> Using interface ppp0
--> pppd: �[1b]� �[1b]� @4� �[1b]�
--> pppd: �[1b]� �[1b]� @4� �[1b]�
--> pppd: �[1b]� �[1b]� @4� �[1b]�
--> pppd: �[1b]� �[1b]� @4� �[1b]�
--> pppd: �[1b]� �[1b]� @4� �[1b]�
--> pppd: �[1b]� �[1b]� @4� �[1b]�
--> local IP address 10.108.81.55
--> pppd: �[1b]� �[1b]� @4� �[1b]�
--> remote IP address 10.64.64.64
--> pppd: �[1b]� �[1b]� @4� �[1b]�
--> primary DNS address 81.3.216.100
--> pppd: �[1b]� �[1b]� @4� �[1b]�
--> secondary DNS address 194.24.128.100
--> pppd: �[1b]� �[1b]� @4� �[1b]�

description: updated
description: updated

what modem driver supports this? what is the lspci output for that device?

Changed in network-manager:
importance: Undecided → Medium
status: New → Incomplete

System: Ubuntu 8.04.1
Can not find the Modem, also the Provider AT "yess" was not in the database from Austria.
Info: Work with Umtsmon, the connection always ready without issue.
Workaround for working:
Connect Modem to USB > the includet CD open Nautilus...
To enter: sudo modprobe usbserial vendor=0x12d1 product=0x1411
Eject the CD > the Modem reset the USB-Connection..
Test by:
ls -l /dev/ttyUSB*
crw-rw---- 1 root dialout 188, 0 2008-09-01 09:52 /dev/ttyUSB0
crw-rw---- 1 root dialout 188, 1 2008-09-01 09:52 /dev/ttyUSB1
crw-rw---- 1 root dialout 188, 2 2008-09-01 09:52 /dev/ttyUSB2

lsusb info:
Bus 001 Device 003: ID 19d2:0015 bevor: Bus 001 Device 003: ID 19d2:2000

Sorry, a fault...

NOT: sudo modprobe usbserial vendor=0x12d1 product=0x1411
correct: sudo modprobe usbserial vendor=0x12d1 product=0x0015fehler

huepfend_schof (kaweechelchen) wrote :

I'm a beginner in this staff, so correct me if I am wrong, but I thought that for an usb device you need the lsusb output and not the lspci.
But as you asked for the lspci output, here it is:

00:00.0 Host bridge: Intel Corporation 82855PM Processor to I/O Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation 82855PM Processor to AGP Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller (rev 01)
01:00.0 VGA compatible controller: ATI Technologies Inc M10 NT [FireGL Mobility T2] (rev 80)
02:00.0 CardBus bridge: Texas Instruments PCI4520 PC card Cardbus Controller (rev 01)
02:00.1 CardBus bridge: Texas Instruments PCI4520 PC card Cardbus Controller (rev 01)
02:01.0 Ethernet controller: Intel Corporation 82540EP Gigabit Ethernet Controller (Mobile) (rev 03)
02:02.0 Ethernet controller: Atheros Communications Inc. AR5212 802.11abg NIC (rev 01)

tested the Modem ZTE MF628 on Ubuntu 8.10 Beta

I find a problem...
When I connected the Modem, its activate the included USB-Port: vendor=0x19d2 product=0x2000
but I cannot reorganize the port to: vendor=0x19d2 product=0x0015
We need this entry to get the USB-connection for the modem.
Usbserial not activ, i think, it was no a serial connection.

In Ubuntu 8.04, when I connected, the included Volume from the modem was mounted > umount an you get the right product-ID (0015). Then I load: modprobe usbserial vendor=0x19d2 product=0x0015
get by:
ls -l /dev/ttyUSB*
crw-rw---- 1 root dialout 188, 0 2008-10-05 09:56 /dev/ttyUSB0
crw-rw---- 1 root dialout 188, 1 2008-10-05 09:56 /dev/ttyUSB1
crw-rw---- 1 root dialout 188, 2 2008-10-05 10:20 /dev/ttyUSB2
the I can deal in...

Sorry, my english was not well..

huepfend_schof (kaweechelchen) wrote :

I installed now Ubuntu 8.10 Beta, and I can confirm Marion, that now the port is always set to product=0x2000, and my Internet doesn't work any more.

huepfend_schof (kaweechelchen) wrote :

Sometimes the modem is loaded with product=0x2000, sometimes with product=0x0015. But for me it seems to be chance, if it is loaded correctly or not.

But the good news are: when the driver is loaded with product=0x0015, then it works perfectly:) (I have installed: ubuntu intrepid beta with all updates)

Stalker (stalker-nsk) wrote :

I have ZTE MF622 and same problem in 8.10

Need to comment this part in the file /drivers/usb/storage/unusual_devs.h

----------------------------------------------------
/* Reported by Mauro Andreolini <email address hidden>
 * This entry is needed to bypass the ZeroCD mechanism
 * and to properly load as a modem device.
 */
UNUSUAL_DEV( 0x19d2, 0x2000, 0x0000, 0x0000,
  "Onda ET502HS",
  "USB MMC Storage",
  US_SC_DEVICE, US_PR_DEVICE, NULL,
  US_FL_IGNORE_DEVICE),
---------------------------------------------------

and rebuild kernel.

Stalker (stalker-nsk) wrote :

then eject ZeroCD

Krzysztof Rzadca (krzadca) wrote :

any chances that Stalker's patch would go mainstream?
I'm using the latest generic ubuntu kernel (2.6.27-7.16) and the modem is still (incorrectly) loaded as product=0x2000 ...

CafeNinja (cafeninja) wrote :

Maybe we should ask if there is a way to get this rolled into Jaunty 9.04 that should be released in a few months.
I'm having the same issue with a similar model Onda device. I'm going to attempt the kernel rebuild to see if that does work. If yes, I will return and confirm this patch works for the MT503HS modem as well.

CafeNinja (cafeninja) wrote :

I could not get the patch to work, neither did the guides online that suggest a manual unload of module usb-storage and a maual reload of usb-serial. This is not resolved in Jaunty 9.04 alpha as of the nighly build of 5 Dec. Testing with the live version of that distro, I expereienced the same failure. I found some online references to module "ZeroCD" that might be at fault for not letting this work by default.

 I also see reports the Onda MT603HS working under 7.04/7.10 but not after 8.04. There is a driver provided by the vendor that fails to build due to changes in some usb driver header in the kernel.

Link to the download of the Onda Driver:
http://www.ondacommunication.com/site/index.php?page=shop.getfile&file_id=193&product_id=99&option=com_virtuemart&Itemid=21

I will try to relate a bug report that was made for the Onda against network manager for reference. The behavior of the ZTE seems to be the same.

--
CafeNinja

CafeNinja (cafeninja) wrote :

bug https://bugs.launchpad.net/bugs/267288 is the specific bug for the Onda MT503HS which has the same problem as the ZTE. All indications that both of these devices are being affected by some changes to the kernel in regards to USB.

--
CafeNinja

Krzysztof Rzadca (krzadca) wrote :

The fix doesn't work for me, however it gave me some ideas -- thanks. I added the following lines to /usr/share/hal/fdi/preprobe/10osvendor/20-broken-usb-sticks.fdi :
    <match key="@storage.originating_device:usb.vendor_id" int="0x19d2">
       <match key="@storage.originating_device:usb.product_id" int="0x2000">
         <merge key="info.ignore" type="bool">true</merge>
       </match>
     </match>

Now, the kernel ignores the modem as usb-storage.
However, I still can't use it as a modem. It gets loaded with product_id=0x2000 and usbserial_generic.
Following https://wiki.ubuntu.com/NetworkManager/Hardware/3G/Probing#Testing%20your%20modem%20using%20wvdial , I get "modem not responding".

Tadas Masiulionis (tadzikaz) wrote :

Do not work ZTE MF628 modem in Ubuntu Jaunty...

darkshadow (csutch3) wrote :

hi i have ZTE MMC USB MODEM and i am having trouble getting it to work with ubuntu 8.10
and this is the first time i have used any other os other then windows and i would like to stay with ubuntu
can some one please help me??????

I am waiting for the fix to use ZTE MF628 to work with 9.04 , which used to be fine with 8.10

Maurizio (mauriziosilverii) wrote :

The umts usb modem Onda MT505UP 19d2:0002 is not recognized by Ubuntu 9.10 Alpha 2 AMD64 Live CD.
With Ubuntu 9.02 i386 the use of this modem is difficult,I need to connect and disconnect the usb modem until I can establish a connection. With Ubuntu 8.10 i386 it worked fine.

Maurizio (mauriziosilverii) wrote :

The umts usb modem Onda MT505UP is also called ZTE MF632

Victor Vargas (kamus) wrote :

I can confirm this problem still occurring in Karmic Alpha 4 (up to date) using in a virtual machine, and in Ubuntu Jaunty too.

Changed in network-manager (Ubuntu):
status: Incomplete → Confirmed
Guido (gcraenen) wrote :

I can confirm that it doesn't work at all in 9.04. Too bad!

Mariano Mara (marplatense) wrote :

I have it working with Jaunty: ZTE 626 with Claro (Argentina). This same procedure didn't work a few months ago.
$ uname -a
Linux kafka 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

these are the steps I followed:
1- downloaded last version of usb_modeswitch and installed it (from source)
2- edited usb_modeswitch.conf and uncommented the part that starts at:
  ZTE MF628+ (tested version from Telia / Sweden)
and ends at:
  MessageContent="5553424312345678000000000000061b000000030000000000000000000000"
3- edit or create /usr/share/hal/fdi/information/20thirdparty/20-zte-mf626.fdi (I attached the file)
4- plug the modem, wait a few seconds and run:
 sudo /usr/sbin/usb_modeswitch -W -c /etc/usb_modeswitch.conf
5- wait a few seconds more and run:
 sudo /sbin/modprobe usbserial vendor=0x19d2 product=0x0031

After that network manager identifies it and offers the connection option to Claro. No matter what I try, I can't connect but if I leave the modem plugged and restart the computer, I can connect normally to my service provider (although I had to change some if the data network manager brings by default).
It's not really my primary connection (just use it whenever I'm on travel visiting family) so I really didn't try to debug the whole process or automate it but the mentioned steps worked for me.
This[1] the original thread I followed to make it work (in spanish).
Hope it helps.

[1] http://tinyurl.com/opuhd2

Mariano Mara (marplatense) wrote :

Umm, seems LP did something to the file I attached.
Here's the content:
<!-- -*- SGML -*- -->
<deviceinfo version="0.2">
<device>
<!-- ZTE MF626 HSDPA USB Modem -->
<match <email address hidden>:usb.vendor_id" int="0x19d2">
<match <email address hidden>:usb.product_id" int="0x0031">
<match <email address hidden>:usb.interface.number" int="3">
<append key="modem.command_sets" type="strlist">GSM-07.07</append>
<append key="modem.command_sets" type="strlist">GSM-07.05</append>
<append key="info.capabilities" type="strlist">modem</append>
</match>
</match>
</match>
</device>
</deviceinfo>

Guido (gcraenen) wrote :

@Mariano:

Nice that this works for ZTE 626, but unfortunately it doesn't for ZTE 628.

@all:

I got it recognised and I'm able to switch it with the last version of usb_modeswitch. But nothing else from that point on.

g_k (g-k) wrote :

I think I also got it recognised:
--8<------------------------------------
Nov 29 09:50:09 edgar kernel: [ 2587.016068] usb 3-1: new full speed USB device using ohci_hcd and address 6
Nov 29 09:50:10 edgar kernel: [ 2587.748068] usb 3-1: new full speed USB device using ohci_hcd and address 7
Nov 29 09:50:10 edgar kernel: [ 2587.957298] usb 3-1: configuration #1 chosen from 1 choice
Nov 29 09:50:10 edgar kernel: [ 2587.960640] scsi5 : SCSI emulation for USB Mass Storage devices
Nov 29 09:50:10 edgar kernel: [ 2587.964859] option 3-1:1.1: GSM modem (1-port) converter detected
Nov 29 09:50:10 edgar kernel: [ 2587.965018] usb 3-1: GSM modem (1-port) converter now attached to ttyUSB0
Nov 29 09:50:10 edgar kernel: [ 2587.980235] option 3-1:1.2: GSM modem (1-port) converter detected
Nov 29 09:50:10 edgar kernel: [ 2587.980396] usb 3-1: GSM modem (1-port) converter now attached to ttyUSB1
Nov 29 09:50:10 edgar kernel: [ 2587.981184] option 3-1:1.3: GSM modem (1-port) converter detected
Nov 29 09:50:10 edgar kernel: [ 2587.981306] usb 3-1: GSM modem (1-port) converter now attached to ttyUSB2
Nov 29 09:50:15 edgar kernel: [ 2592.967159] scsi 5:0:0:0: Direct-Access ZTE MMC Storage 2.31 PQ: 0 ANSI: 2
Nov 29 09:50:15 edgar kernel: [ 2592.968170] sd 5:0:0:0: Attached scsi generic sg2 type 0
Nov 29 09:50:15 edgar kernel: [ 2593.007155] sd 5:0:0:0: [sdb] Attached SCSI removable disk
--8<------------------------------------

However, NetworkManager doesn't do anything, even with the .fdi from Mariano...

nf2 (nf2-email) wrote :

I think NetworkManager (actually modem-manager) does recognize the device, but it somehow cannot initialize it properly. I have created this bug report for NM 0.8 and attached some modem-manager logs here:

https://bugzilla.gnome.org/show_bug.cgi?id=604369

Denny (dennydessi) wrote :

Nell'ultima relase di ubuntu non riesco a far funzionare nessun tipo di modem GSM non capisco bene quale sia il problema visto che nelleprecedenti relase funzionava tutto alla grande ... Il modem che uso io è un ONDA MT 503 HS, ho provato anche con quello della OLIVETTI e niente ...
è come se all'avvio non si caricasse il driver, poi si può sapere perchè devo sempre inserire il modem prima di avviare il pc altrimenti non lo riconosce ?? Ubuntu e i modem USB-GSM non vanno proprio d'accordo peccato!

papukaija (papukaija) wrote :

In English please.

Poor translation:

Last relase of ubuntu can not run any type of GSM modem I do not understand what the problem is because nelleprecedenti relase everything worked great ... The modem I use is a WAVE HS MT 503, I tried with that of OLIVETTI (it's mobile operator) and nothing ...
it is as if the driver does not load at startup, then you can know why I always put the modem before booting the PC would not recognize him? Ubuntu USB modem and GSM-sin do not go quite agree!

Przemek K. (azrael) wrote :

The upstream bug is fixed now. Can you check if this bug still appears in Ubuntu 10.04 beta (Lucid Lynx)?

CafeNinja (cafeninja) wrote :

I am using the onda MT503HS. I can tell you that the device is recognized as a modem device, module usbserial is initialized and 5 ttyusb ports 0-4 are enumerated. dmesh also shows "option: v0.7.2:USB Driver for GSM modems" just after the ttyusb port creation. The issue to be very clear is that after this has occured, gnome-network-manager does not see the device or offer a method to create a 3G network connection (via edit->connections).

I am running 10.04 Beta, I have just run the updates for all, rebooted, and tried again to insert the device and try to create a 3G network connection. Network-manager now sees the device. It isn't connecting, but I don't see logs or error codes so i don't know why, but it does seem to recognize and use the device.

Could you tell me where to find connection error logs to make sure it's not device related?

Changed in network-manager:
importance: Unknown → Medium
status: Unknown → Fix Released
papukaija (papukaija) on 2010-09-17
tags: added: fixed-upstream
summary: - ZTE MF628 HSDPA USB modem not recognized by network-manager 0.7
+ ZTE MF628 HSDPA USB modem not recognized by network-manager

AFAIK this has been fixed for a long long while. The code paths to deal with modems isn't even the same at all anymore, so regardless any issues with the ZTE MF627/MF628 should be tackled in a new bug report.

I'll close this one as Fix Released since that's also how the upstream bug report was closed. Thanks!

Changed in network-manager (Ubuntu):
status: Confirmed → Fix Released
Changed in network-manager (Baltix):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.